# $Revision: 1.24 $, $Date: 2011/01/23 01:22:30 $
%include	/usr/lib/rpm/macros.php
%define		_status		beta
%define		_pearname	MDB2_Driver_pgsql
%define		subver	b3
%define		rel		2
Summary:	%{_pearname} - pgsql MDB2 driver
Summary(pl.UTF-8):	%{_pearname} - sterownik pgsql dla MDB2
Name:		php-pear-%{_pearname}
Version:	1.5.0
Release:	0.%{subver}.%{rel}
License:	BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}%{subver}.tgz
# Source0-md5:	3d5caa6ef480fb75862e87aef0282229
URL:		http://pear.php.net/package/MDB2_Driver_pgsql/
BuildRequires:	php-pear-PEAR >= 1:1.9.1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.3.0
Requires:	php-pear
Requires:	php-pear-MDB2 >= 1:2.5.0-0.b3
Requires:	php-pgsql
Obsoletes:	php-pear-MDB2_Driver_pgsql-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the PostgreSQL MDB2 driver.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Sterownik PostgreSQL dla MDB2.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/MDB2/Driver/Datatype/pgsql.php
%{php_pear_dir}/MDB2/Driver/Manager/pgsql.php
%{php_pear_dir}/MDB2/Driver/Native/pgsql.php
%{php_pear_dir}/MDB2/Driver/Reverse/pgsql.php
%{php_pear_dir}/MDB2/Driver/pgsql.php
%{php_pear_dir}/MDB2/Driver/Function/pgsql.php
%{php_pear_dir}/data/MDB2_Driver_pgsql

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-MDB2_Driver_pgsql.spec,v $
Revision 1.24  2011/01/23 01:22:30  sparky
- tests are no longer installed - don't try to remove them

Revision 1.23  2010/11/16 14:15:09  glen
- update deps

Revision 1.22  2010/11/16 14:13:23  glen
- up to 1.5.0b3

Revision 1.21  2010/08/21 19:08:06  glen
- updated deps with pearize.sh
- release 2

Revision 1.20  2010/08/19 13:58:13  glen
- up to 1.5.0b2

Revision 1.19  2008/01/31 12:16:08  glen
- rel 2

Revision 1.18  2007-08-26 09:38:18  adamg
- dropped %{epoch} from R: in tests subpackage

Revision 1.17  2007/08/26 09:30:48  adamg
- updated to 1.4.1; tests subpackage

Revision 1.16  2007/03/01 00:31:53  glen
- 1.3.0

Revision 1.15  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.13  2006/11/26 13:57:49  glen
- rel 2: use php(extension) virtuals

Revision 1.12  2006/09/04 10:48:11  adamg
- updated to 1.2.2

Revision 1.11  2006/09/02 17:26:39  adamg
- updated to 1.2.1

Revision 1.10  2006/08/06 12:07:17  adamg
- updated to 1.2.0

Revision 1.9  2006/06/21 23:31:12  adamg
- updated to 1.1.0

Revision 1.8  2006/06/03 21:47:20  glen
- 1.0.3

Revision 1.7  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.6  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.5  2006/02/16 18:56:36  glen
- require php-pear-PEAR-core, not the full PEAR package with deps

Revision 1.4  2006/02/16 18:40:33  glen
- 1.0.0-stable

Revision 1.3  2005/12/19 20:44:02  qboosh
- caps, sorted Rs

Revision 1.2  2005/12/14 22:24:17  adamg
- fix MDB2 version in R: (thanks glen)

Revision 1.1  2005/12/14 21:53:54  adamg
- new (drivers for MDB2 that are now released as separate packages)
